Subject: Re: [PATCH v3 02/14] t5500: add tests of fetch-pack --all --depth=N $URL $REF

From: Michael Haggerty <[email-masked]>
Date: Mon, 10 Sep 2012 23:53:05 +0200

On 09/10/2012 10:46 PM, Junio C Hamano wrote:
> Michael Haggerty <[email-masked]> writes:
> 
>> Document some bugs in "git fetch-pack":
>>
>> 1. If "git fetch-pack" is called with "--all", "--depth", and an
>> explicit existing non-tag reference to fetch, then it falsely reports
>> that the reference was not found, even though it was fetched
>> correctly.
>>
>> 2. If "git fetch-pack" is called with "--all", "--depth", and an
>> explicit existing tag reference to fetch, then it segfaults in
>> filter_refs() because return_refs is used without having been
>> initialized.
> 
> I guess the first one is because "all" already marks the fetched one
> "used", and does not allow the explicit one to match any unused one
> from the other side?

Yes, more or less.  Spoiler: these failures are fixed later in the patch
series :-)

> I wonder what happens when "--all" with an
> explicit refspec that names non-existing ref is asked for (it should
> notice that refs/heads/no-such-ref does not exist.  I do not know if
> it is something that belongs to this set of new tests)?

Good idea; I just wrote such tests.  They appear to pass regardless of
this patch series.  I will submit them after I am sure that I understand
them.

Michael

-- 
Michael Haggerty
[email-masked]
http://softwareswirl.blogspot.com/